import 'package:google_mobile_ads/google_mobile_ads.dart';
import 'package:niralanlayout/ads_initialization/ads_initialization.dart';

class AdsState {
  bool isLoadBanner = false;
  BannerAd? bannerAd;

  customDidChangeDependenciesAds(
      Function onAdLoaded, Function onAdFailedToLoad) {
    if (AdsInitialization.isAndroid() == true && bannerAd == null) {
      bannerAd = AdsInitialization.initBannerAd(onAdLoaded, onAdFailedToLoad);
    }
  }

  customDisposeAds() {
    if (bannerAd != null && isLoadBanner == true) {
      bannerAd!.dispose();
    }
  }

  cusstomInitStateAds(isShowInterstitial) {
    if (isShowInterstitial) {
      AdsInitialization.getInterstitial();
    }
    AdsInitialization.initInterstitial();
    AdsInitialization.initRewardedInterstitialAd();
  }
}
