import 'package:niralanlayout/utils/settings_persistence_utils.dart';

class MemoryOnlySettingsPersistenceUtils implements SettingsPersistenceUtils {
  bool musicOn = true;

  bool soundsOn = true;

  bool muted = false;

  bool reviewStatus = false;

  String type = '4x4';

  int level = 1;

  @override
  Future<bool> getMusicOn() async => musicOn;

  @override
  Future<bool> getMuted({required bool defaultValue}) async => muted;

  @override
  Future<bool> getReviewStatus() async => reviewStatus;

  @override
  Future<int> getLevel() async => level;

  @override
  Future<String> getType() async => type;

  @override
  Future<bool> getSoundsOn() async => soundsOn;

  @override
  Future<void> saveMusicOn(bool value) async => musicOn = value;

  @override
  Future<void> saveMuted(bool value) async => muted = value;

  @override
  Future<void> saveReviewStatus(bool value) async => reviewStatus = value;

  @override
  Future<void> saveLevel(int value) async => level = value;

  @override
  Future<void> saveType(String value) async => type = value;

  @override
  Future<void> saveSoundsOn(bool value) async => soundsOn = value;
}
